Bug 150956 - [65cat] Netbeans hangs after fresh install
[65cat] Netbeans hangs after fresh install
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Directory Chooser
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
jdk_bug_6744953
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 23:58 UTC by goeh
Modified: 2008-12-22 10:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Thread dump output from visualvm (22.21 KB, text/plain)
2008-10-22 00:03 UTC, goeh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description goeh 2008-10-21 23:58:01 UTC
[ BUILD # : 6.5 RC1 ]
[ JDK VERSION : 1.6.0_07 ]

When I first started 6.5 RC1 after installation the editor locked
completely when I pressed the Open Project toolbar button.
I started visualvm and noticed the Swing-Shell thread was blocked.

I killed the process using task manager (windows) and restarted
NetBeans. This time it worked fine.

"Swing-Shell" daemon prio=6 tid=0x03f37400 nid=0x1740 waiting for
monitor entry [0x2eb8f000..0x2eb8fc14]
   java.lang.Thread.State: BLOCKED (on object monitor)
	at
sun.awt.shell.Win32ShellFolder2.isLink(Win32ShellFolder2.java:736)
	- waiting to lock <0x09ba4c88> (a sun.awt.shell.Win32ShellFolder2)
	at
sun.awt.shell.Win32ShellFolder2$10.call(Win32ShellFolder2.java:651)
	at
sun.awt.shell.Win32ShellFolder2$10.call(Win32ShellFolder2.java:643)
	at
sun.awt.shell.Win32ShellFolderManager2$ComInvoker.invoke(Win32ShellFol
derManager2.java:491)
	at
sun.awt.shell.Win32ShellFolder2.listFiles(Win32ShellFolder2.java:643)
	at
javax.swing.filechooser.FileSystemView.getFiles(FileSystemView.java:43
4)
	at
javax.swing.plaf.basic.BasicDirectoryModel$LoadFilesThread$1.call(Basi
cDirectoryModel.java:225)
	at
javax.swing.plaf.basic.BasicDirectoryModel$LoadFilesThread$1.call(Basi
cDirectoryModel.java:221)
	at
java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at
java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecu
tor.java:885)
	at
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.
java:907)
	at
sun.awt.shell.Win32ShellFolderManager2$ComInvoker$3.run(Win32ShellFold
erManager2.java:458)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- <0x09bb1d10> (a
java.util.concurrent.locks.ReentrantLock$NonfairSync)
Comment 1 goeh 2008-10-22 00:03:18 UTC
Created attachment 72431 [details]
Thread dump output from visualvm
Comment 2 Jana Maleckova 2008-10-23 09:48:22 UTC
reassign to core for evaluation
Comment 3 Jiri Kovalsky 2008-11-04 21:21:01 UTC
Dafe, have you already had a chance to look at this? Thanks!
Comment 4 Lukas Hasik 2008-11-10 09:38:58 UTC
closing as wontfix because it is JDK problem. Nothing can be done on NB side :( The bug has been accepted by JDK team.
Hopefully will be fixed in next JDKs updates
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6744953


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo